<?php

session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
include("DMMYSQLG.php"); 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="es-es">
<link rel="stylesheet" href="css/menu.css" type="text/css"/>

<head>
<?php require_once("DFJQUERY.inc"); ?>

<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Registro con AJAX</title>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<script language="javascript" type="text/javascript">
function objetoAjax(){
	var xmlhttp=false;
	try {
		xmlhttp = new ActiveXObject("Msxml2.XMLHTTP");
	} catch (e) {
		try {
		   xmlhttp = new ActiveXObject("Microsoft.XMLHTTP");
		} catch (E) {
			xmlhttp = false;
  		}
	}

	if (!xmlhttp && typeof XMLHttpRequest!='undefined') {
		xmlhttp = new XMLHttpRequest();
	}
	return xmlhttp;
}

function enviarDatosEmpleado(){
	//donde se mostrará lo resultados
	divResultado = document.getElementById('resultado');
	divFormulario = document.getElementById('formulario');
	//valores de los inputs
	id=document.frmempleado.idempleado.value;
	nom=document.frmempleado.nombres.value;
	
	//instanciamos el objetoAjax
	ajax=objetoAjax();
	//usando del medoto POST
	//archivo que realizará la operacion
	//actualizacion.php
	ajax.open("POST", "actualizacion.php",true);
	ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
			//mostrar los nuevos registros en esta capa
			divResultado.innerHTML = ajax.responseText
			//mostrar un mensaje de actualizacion correcta
			divFormulario.innerHTML = "<p style=\"border:1px solid red; width:400px;\">La actualizaci&oacute;n se realiz&oacute; correctamente</p>";
		}
	}
	//muy importante este encabezado ya que hacemos uso de un formulario
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	//enviando los valores
	ajax.send("idempleado="+id+"&nombres="+nom)
}

function pedirDatos(idempleado){
	//donde se mostrará el formulario con los datos
	divFormulario = document.getElementById('formulario');
	
	//instanciamos el objetoAjax
	ajax=objetoAjax();
	//uso del medotod GET
	ajax.open("POST", "MENU_HOTEL.php");
	ajax.onreadystatechange=function() {
		if (ajax.readyState==4) {
			//mostrar resultados en esta capa
			divFormulario.innerHTML = ajax.responseText
			//mostrar el formulario
			divFormulario.style.display="block";
		}
	}
	//como hacemos uso del metodo GET
	//colocamos null
	ajax.setRequestHeader("Content-Type","application/x-www-form-urlencoded");
	//enviando los valores
	ajax.send("idemp="+idempleado)
}
</script>
<script language="javascript">
$(document).ready(function(){
	$("#tbus").autocomplete('DYAUTPRODSSS.php',{
		minChars: 1,                 //Caracteres Minimos antes de autocompletar
		//max:3                        //maximo de resultados mostrados, se manda como limit en autosugestion
		selectFirst:false,
		delay: 200,                  //Retardo de autocompletar 
		width: 500,                  //ancho del cuadro de despliegue
		highlight: false,            //Resalta letras coincidentes
		autoFill: false	,             //autocompleta en texto la posible palabra
		scroll: true,				 //si cuadro tiene barra scroll
		scrollHeight: 500,           //alto del cuadro para el scroll
		formatItem:function (row, i, n, value) { //formato de presentacion de las posibles busquedas
			return "(<strong>"+row[1]+"</strong>)"+row[0];
		},	     
		formatResult:function(row){  //formato de seleccion de busqueda
			return row[0];
		},
		extraParams:{tipBus:'d'}     //Parametros Extra a Mandar en autosugestion
	});
	$("#tbus").result(function(event, row, formatted){
		//if(!row && confirm("Articulo:'"+$(this).val()+"'\nDesea AGREGARLO?"))
			openpage("AL10000_AG.php?tap2="+$(this).val(),'_self');
		//else if(confirm("Articulo:'" +row[0]+"'\nDesea Consultar/Modificar?"))
			openpage("AL10000_MO.php?bot="+row[1],'_self');
	}).keypress (function(){
    	var evt = (evt) ? evt : event; 
    	var tecla = (evt.charCode) ? evt.charCode : ((evt.keyCode) ? evt.keyCode:((evt.which) ? evt.which : 0)); 
    	if(tecla==13){
			$(this).search();
			return false;	
		}
		return true;
	});	
});
</script>
</head>
<!--<DIV STYLE="position:absolute; top:-20px; left:130px">
<img src="img/sihteolsd.gif"/>
</DIV>  	
-->
<body onLoad = "self.focus (); document.form1.tbus2.focus ()">

<div id="resultado" align="left">
<?php
 include('menu_PR2.php');?>

</div>
<!--img src="img/sihteolsd.gif"/-->

</body>
</html>




























<?php
 
session_start();
include("DMMYSQLG.php");
include("DSA1000.php");
?>
<html>
<HEAD> <meta name="tipo_contenido" content="text/html;" http-equiv="content-type" charset="utf-8"></HEAD>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>
<body>
<?php
 
$ayuda = 'DX2100A_PR.php';
include("DYAYUDA.php");
?>
<div align="center">  
<form name="form1" method="post" action="" accept-charset="UTF-8">
  <table width="460"  align="center">
    <tr>
      <th colspan="2">PAISES</th>
    </tr>
    <tr>
      <th width="297"> <input name="r1" type="radio" tabindex="1" value="clave" checked>
        Clave </th>
      <th width="297"><input name="r1" type="radio" value="nombre" tabindex="2">
        Nombre </th>
    </tr>
    <tr>
      <td colspan="2"><input name="tbus" type="text"  onBlur="may(this)" size="75"/></td>
    </tr>
    <tr>
      <td colspan="2">
	  		<div align="center">
          		<input type="submit" name="Submit32" value="Buscar" />
      		</div>
	  </td>
    </tr>
  </table>
</form>
</div>
<div align="center">
  <form name="frm1" method="post" action="" >
    <?php
 
	@$sql = mysqli_query($con ,"SELECT * FROM dxpaises order by cve_pais");
	include("DE10000.php");
	?>
    <table border='1'>
      <tr>
        <th colspan="3">
			<div align="left">
            <input type="button" name="Submit6" value="Agregar" onClick="openpage('valeryus10100_AG.php','_self')"/>
            <input type="Submit" name="bot3" value="Consultar"  onClick="openpage('valeryus10100_CO.php','_self')"/>
            <input type="button" name="bot2" value="Modificar" onClick="openpage('valeryus10100_MO.php','_self')"/>
            <input type="button" name="bot1" value="Eliminar" onClick="openpage('valeryus10100_EL.php','_self')"/>
            <input type="button" name="bot4" value="Imprimir " onClick="openpage('valeryus10100_IM.php','_self')"/>
            <input type="button" name="Submit" value="Mostrar todo" onClick="openpage('valeryus10100_PR.php','_self')"/>
        	</div>
		</th>
      </tr>
      <tr>
        <th colspan="3">Conceptos - Pa&iacute;ses </th>
      </tr>
      <tr>
	    <th><div align="center">Sel</div></th>
        <th><div align="center">Clave</div></th>
        <th><div align="center">Nombre</div></th>
      </tr>
<?php

	echo '<input name="txt_bus" type="hidden" value="'.$_POST['tbus'].'">';
	if($_POST['r1']=="clave")
	{
		echo '<input name="tip_bus" type="hidden" value="clave">';
	  	@$sql = mysqli_query($con ,"SELECT * FROM dxpaises WHERE cve_pais = '".$_POST['tbus']."'");
		
	}elseif($_POST['r1']=="nombre")
	{
		echo '<input name="tip_bus" type="hidden" value="nombre">';
		@$sql = mysqli_query($con ,"SELECT * FROM dxpaises WHERE des_pais like '%".$_POST['tbus']."%'");
	}
	while($reg = mysqli_fetch_array($sql))
	{
	  	echo "<tr>";
		echo '<td> <div align="center"><input name="bot" type="radio" value="'. $reg["cve_pais"].'"></div></td>';
		echo "<td> <div align='center'>" . $reg["cve_pais"] . "&nbsp</div></td>";
		echo "<td> <div align='left'>" . $reg["des_pais"] . "&nbsp</div></td>";
		echo "</tr>";
	}
	mysqli_close($con);
	?>
    </table>
  </form>
</div>
</body>
</html>
